'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _Home = require('../containers/Home');

var _Home2 = _interopRequireDefault(_Home);

var _store = require('../store');

var _store2 = _interopRequireDefault(_store);

var _reduxCustom = require('../redux-custom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Client = function Client() {
  return _react2.default.createElement(
    _reduxCustom.Provider,
    { store: _store2.default },
    _react2.default.createElement(
      _semanticUiReact.Container,
      null,
      _react2.default.createElement(_Home2.default, null)
    )
  );
};

exports.default = Client;