'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.connect = exports.Provider = undefined;

var _reactRedux = require('react-redux');

var STORE_KEY = 'crmClient'; /* eslint no-param-reassign: "error" */
// https://github.com/reduxjs/react-redux/blob/master/docs/api.md#examples-2

var Provider = exports.Provider = (0, _reactRedux.createProvider)(STORE_KEY);

function connectExtended(mapStateToProps, mapDispatchToProps, mergeProps) {
  var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  options.storeKey = STORE_KEY;
  return (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps, mergeProps, options);
}

exports.connect = connectExtended;