'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchList = exports.RECEIVE_LIST = undefined;

var _templateObject = _taggedTemplateLiteral(['\n      {\n        crmClientList(query: "', '", page: ', ', perPage: 21) {\n          totalPages\n          currentPage\n          totalEntries\n          previousPage\n          nextPage\n          nodes {\n            id\n            avatar\n            firstName\n            lastName\n            email\n            sex\n          }\n        }\n      }\n    '], ['\n      {\n        crmClientList(query: "', '", page: ', ', perPage: 21) {\n          totalPages\n          currentPage\n          totalEntries\n          previousPage\n          nextPage\n          nodes {\n            id\n            avatar\n            firstName\n            lastName\n            email\n            sex\n          }\n        }\n      }\n    ']);

exports.receiveList = receiveList;

var _reactCfGraphqlClient = require('react-cf-graphql-client');

var _reactCfGraphqlClient2 = _interopRequireDefault(_reactCfGraphqlClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var RECEIVE_LIST = exports.RECEIVE_LIST = 'RECEIVE_LIST';

/**
 * Set received data to state user
 * @param {*} data
 */
function receiveList(data, page) {
  return {
    type: RECEIVE_LIST,
    data: data,
    page: page
  };
}

var fetchList = exports.fetchList = function fetchList(query, page, dispatch) {
  // make request
  _reactCfGraphqlClient2.default.query({
    query: (0, _reactCfGraphqlClient.Graphql)(_templateObject, query, page),
    fetchPolicy: 'network-only'
  }).then(function (result) {
    dispatch(receiveList(result.data.crmClientList, page));
  });
};