'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _list = require('../actions/list');

var _setValue = require('../actions/setValue');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var crmClientApi = function crmClientApi() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    list: {},
    query: '',
    page: 1,
    loading: true
  };
  var action = arguments[1];

  switch (action.type) {
    case _setValue.SET_VALUE:
      return Object.assign({}, state, _defineProperty({}, action.property, action.value));
    case _list.RECEIVE_LIST:
      return Object.assign({}, state, {
        list: action.data,
        page: action.page,
        loading: false
      });
    default:
      return state;
  }
};

exports.default = crmClientApi;