'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _setValue = require('../actions/setValue');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var crmClientClient = function crmClientClient() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { client: {} };
  var action = arguments[1];

  switch (action.type) {
    case _setValue.SET_VALUE:
      return Object.assign({}, state, {
        client: Object.assign({}, state.client, _defineProperty({}, action.property, action.value))
      });
    default:
      return state;
  }
};

exports.default = crmClientClient;